%global _empty_manifest_terminate_build 0
Name:           python-astroid
Version:        2.9.3
Release:        2
Summary:        An abstract syntax tree for Python with inference support.
License:        LGPL-2.1-only and GPL-2.0-or-later
URL:            https://github.com/PyCQA/astroid
Source0:        https://files.pythonhosted.org/packages/2d/be/33923f5dee9f7119abbaa688833b0c71c2ef4b66af3b06ffc64fc8c341ae/astroid-2.9.3.tar.gz

Patch0:         adapted-wrapt-version.patch

BuildArch:      noarch
%description
An abstract syntax tree for Python with inference support.
The aim of this module is to provide a common base representation of python
source code. It is currently the library powering pylint capabilities.

%package -n python3-astroid
Summary:        An abstract syntax tree for Python with inference support.
Provides:       python-astroid
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pytest-runner
# General requires
BuildRequires:  python3-lazy-object-proxy
BuildRequires:  python3-six
BuildRequires:  python3-wrapt
# General requires
AutoReq:        no
Requires:       python3-lazy-object-proxy
Requires:       python3-wrapt
Requires:       python3-pytest-runner
# General requires
%description -n python3-astroid
An abstract syntax tree for Python with inference support.
The aim of this module is to provide a common base representation of python
source code. It is currently the library powering pylint capabilities.

%package help
Summary:        An abstract syntax tree for Python with inference support.
Provides:       python3-astroid-doc
%description help
An abstract syntax tree for Python with inference support.
The aim of this module is to provide a common base representation of python
source code. It is currently the library powering pylint capabilities.

%prep
%autosetup -n astroid-%{version} -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-astroid -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed May 08 2024 xu_ping <707078654@qq.com> -2.9.3-2
- Fix wrapt version mismatch

* Feb Nov 01 2022 Ge Wang <wangge20@h-partners.com> -2.9.3-1
- Update to version 2.9.3

* Fri Oct 28 2022 yaoxin <yaoxin30@h-partners.com> - 2.5-2
- Fix install failure due to python-wrapt upgraded

* Mon Jul 19 2021 OpenStack_SIG <openstack@openeuler.org> - 2.5-1
- Upgrade to version 2.5

* Wed Jun 24 2020 huanghaitao <huanghaitao8@huawei.com> - 2.3.3-5
- update to fix test errors with python3.8

* Mon Feb 24 2020 Senlin Xia<xiasenlin1@huawei.com> - 2.0.4-2
- Package init
